Skip to main content
GET
/
v1
/
pay-connect
/
transaction-operations
/
{operation_id}
cURL
curl --request GET \
  --url https://api-payment.lab4pay.com/v1/pay-connect/transaction-operations/{operation_id}/ \
  --header 'Authorization: Bearer <token>' \
  --header 'X-Pay-Connect-Integrator-Id: <x-pay-connect-integrator-id>'
{
  "operation_id": "<string>",
  "operation_type": "transaction.revert",
  "transaction_id": "<string>",
  "status": "INITIATED"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-Pay-Connect-Integrator-Id
string
required

Pay-Connect Integrator ID

Path Parameters

operation_id
string
required

ID of the operation

Response

Successful operation

operation_id
string
required

Operation ID

operation_type
enum<string>
required

Operation type

Available options:
transaction.revert
transaction_id
string
required

Transaction ID

status
enum<string>
required

Operation status

Available options:
INITIATED,
IN_PROGRESS,
SUCCESS,
FAILED,
EXPIRED